function [gf_nlp,gg_nlp,C,B] = grad (x,y)

if size(x,2) > 1
  y = x(2:4);         % NLP com integralidade relaxada
end

% * * * exemplo 1 (MILP) solved as MINLP - Floudas (1995)  * * *
gf_nlp(1)=2;
gg_nlp(1,1)=-1;
gg_nlp(2,1)=10;

if nargout > 2 | size(x,2) > 1
  C = [-3, -2, -3];
  B = [-1, -1, -1; 5, 3, 4];
end

if size(x,2) > 1         % NLP com integralidade relaxada
  gf_nlp = [gf_nlp C];
  gg_nlp = [gg_nlp B];
end
gg_nlp=gg_nlp';
