$TITLE MINLP 5
* Algoritmo de Aproximacao Externa - Solucao do DIPCOPT++
* Floudas, 1995
$OFFSYMXREF
$OFFSYMLIST

VARIABLES Z;
POSITIVE VARIABLES X;
BINARY VARIABLES Y;
EQUATIONS CON1,CON2,OBJ;

CON1..     1.25-X**2-Y=L=0;
CON2..     X+Y-1.6=L=0;
OBJ..      Z=E=2*X+Y;

* Limite Superior
X.UP=1.6;

* Limite Inferior
X.LO=0;

* Valor Inicial
*X.L=0.2;
Y.L=0;

MODEL MINLP5 / ALL / ;

OPTION lp = osl;
*OPTION lp = cplex;
OPTION nlp = conopt;
*OPTION nlp = minos5;
OPTION minlp = DICOPT;
OPTION sysout = on;

MINLP5.optfile = 1;

SOLVE MINLP5 USING MINLP MINIMIZING Z;